Matt Jones

Browser Upgrade Campaign

  • Posted by Matt (Permalink)
  • Published on

Using a version 4.x web browser? Then upgrade to a better Web experience.

I'd just like to gloat that this site has been standards compliant from day 1 [ie., it has never worked in a version 4.x browser and quite frankly, I couldn't give a monkeys].